Description

The QGIS installer for Mac OSX needs to be improved!

QGIS Browser is included in release 1.8 and after install in Windows and Linux distro's it is available to start as a separate application.

When started on it's own you have additional functionality available which is missing from QGIS like inspecting the metadata before

actually loading it in QGIS.

After installing QGIS 1.8 on Mac OSX, in Applications there is only the startup icon for QGIS available. The one for QGIS Browser is

missing.

If you want to start it you can start it from the terminal window. 

Move to folder: 

~/Documents/QGIS-Documentation/source/user_manual/plugins/

Start the QGIS browser with:

./qbrowser

History

#1 - 2012-10-06 02:10 AM - Pirmin Kalberer

- Target version changed from Version 1.8.0 to Version 2.0.0

#2 - 2012-10-08 01:48 AM - Larry Shaffer

- Resolution set to upstream

- Status changed from Open to Feedback

Hi Diethard,

Please consult the following recent stackexchange post regarding this:

http://gis.stackexchange.com/questions/35144

This has been addressed recently in master. The browser is now called QGIS Browser.app and is accessed via an alias next to the main QGIS.app (when

compiled from source). The Kyngchaos.com installer does not yet reflect this. It will probably not be a separate bundled app anytime soon, since that would

require many bundled frameworks to be duplicated. For now creating the alias (or symbolic link) to QGIS.app/Contents/MacOS/bin/QGIS Browser.app

works fine for launching the standalone browser.

A couple of recent enhancements for the browser: keyboard navigation (arrow keys) of the filesystem tree and data layers, and a specific /Volumes

top-level in the tree for quick access to Mac volumes (local and network).
You can try out the new features by downloading the latest nightly Mac builds at http://qgis.dakotacarto.com (including one for Snow Leopard). Make sure

to read the notes about working with the master builds.

#3 - 2014-06-28 07:42 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#4 - 2014-10-11 07:49 AM - Giovanni Manghi

- Resolution changed from upstream to fixed/implemented

- Status changed from Feedback to Closed

I assume this is fixed in the latest releases.
